Bug 1248135 - xorg crash after re-sizing remote-viewer & logout
xorg crash after re-sizing remote-viewer & logout
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-qxl (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Default Assignee for SPICE Bugs
SPICE QE bug list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 12:52 EDT by Andrei Stepanov
Modified: 2015-08-27 06:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 06:27:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrei Stepanov 2015-07-29 12:52:39 EDT
RHEL 7.1 is a guest, RHEL 7.1 is a host

Open connection to guest with remote-viewer.

Change size of remote-viewer window. Make window or remote-viewer wider.

Log out from system.
GDM cannot re-start.
 
spice-gtk3-0.22-2.el7.x86_64
xorg-x11-drv-qxl-0.1.1-12.el7.x86_64
spice-vdagent-0.14.0-9.el7.x86_64
spice-server-0.12.4-9.el7.x86_64
kernel-3.10.0-229.7.2.el7.x86_64

How reproducible: always

Obvious example: https://astepano.fedorapeople.org/out-6.ogv
Comment 2 Jonathon Jongsma 2015-07-29 16:30:17 EDT
Can you also specify the virt-viewer version you were using?

I cannot reproduce this using the same components as you listed above. It would be helpful if you could attach the following information: 

- the libvirt configuration of the guest (virsh dumpxml)
- the debug output from virt-viewer (run remote-viewer with --debug --spice-debug)
Comment 4 Andrei Stepanov 2015-08-25 06:53:44 EDT
I cannot reproduce the bug.
One negative effect still persists.
Specifically: after logout and login monitor's resolution drops back to 1024x768
Comment 5 Andrei Stepanov 2015-08-25 07:06:10 EDT
Sorry, I find a new method to reproduce the bug.

1. Boot machine
2. Wait for GMD login invitation
3. Resize virt viwer window to bigger size
4. Login in gdm
5. Log out

I can see segfault in kernel:


[  101.429495] input: spice vdagent tablet as /devices/virtual/input/input5
[  116.520609] input: spice vdagent tablet as /devices/virtual/input/input6
[  117.730226] ------------[ cut here ]------------
[  117.730853] WARNING: at drivers/gpu/drm/qxl/qxl_ttm.c:414 qxl_sync_obj_wait+0x182/0x220 [qxl]()
[  117.731883] sync obj 301 still has outstanding releases 0 0 0 4096 1
[  117.732520] Modules linked in: bnep bluetooth rfkill fuse nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd sunrpc fscache kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel lrw gf128mul glue_helper ablk_helper cryptd virtio_balloon serio_raw pcspkr uinput xfs libcrc32c sr_mod cdrom ata_generic sd_mod crc_t10dif crct10dif_common pata_acpi qxl drm_kms_helper virtio_console ttm virtio_scsi virtio_net ata_piix drm libata virtio_pci i2c_core virtio_ring virtio dm_mirror dm_region_hash dm_log dm_mod
[  117.737551] CPU: 1 PID: 3285 Comm: Xorg Not tainted 3.10.0-229.el7.x86_64 #1
[  117.738191] Hardware name: Red Hat KVM, BIOS 0.5.1 01/01/2011
[  117.738738]  ffff8800b24138d0 00000000cfc8e7ee ffff8800b2413888 ffffffff81603f36
[  117.739466]  ffff8800b24138c0 ffffffff8106e28b 0000000000000001 ffff8801b4d18740
[  117.740189]  0000000000000001 ffff8801b4d18758 0000000000000000 ffff8800b2413928
[  117.740908] Call Trace:
[  117.741155]  [<ffffffff81603f36>] dump_stack+0x19/0x1b
[  117.741647]  [<ffffffff8106e28b>] warn_slowpath_common+0x6b/0xb0
[  117.742205]  [<ffffffff8106e32c>] warn_slowpath_fmt+0x5c/0x80
[  117.742742]  [<ffffffff816085c3>] ? schedule_hrtimeout_range+0x13/0x20
[  117.743352]  [<ffffffffa014e122>] qxl_sync_obj_wait+0x182/0x220 [qxl]
[  117.743953]  [<ffffffffa0058841>] ttm_bo_wait+0xb1/0x1b0 [ttm]
[  117.744506]  [<ffffffffa005a183>] ttm_bo_evict+0x63/0x360 [ttm]
[  117.745062]  [<ffffffffa005a5ba>] ttm_mem_evict_first+0x13a/0x1b0 [ttm]
[  117.745714]  [<ffffffffa005a898>] ttm_bo_mem_space+0x268/0x310 [ttm]
[  117.746314]  [<ffffffffa005ada2>] ttm_bo_validate+0x1e2/0x260 [ttm]
[  117.746914]  [<ffffffffa005b08b>] ttm_bo_init+0x26b/0x420 [ttm]
[  117.747476]  [<ffffffffa01501df>] qxl_bo_create+0x13f/0x1a0 [qxl]
[  117.748047]  [<ffffffffa014ff60>] ? qxl_fbdev_qobj_is_fb+0x30/0x30 [qxl]
[  117.748672]  [<ffffffffa0150959>] qxl_gem_object_create+0x69/0x110 [qxl]
[  117.749298]  [<ffffffffa0150a5c>] qxl_gem_object_create_with_handle+0x5c/0x120 [qxl]
[  117.750022]  [<ffffffffa0153d66>] qxl_alloc_ioctl+0x46/0xc0 [qxl]
[  117.750596]  [<ffffffffa00cab6c>] drm_ioctl+0x1ec/0x660 [drm]
[  117.751134]  [<ffffffff8109ac55>] ? enqueue_hrtimer+0x25/0x80
[  117.751670]  [<ffffffff8109b5aa>] ? __hrtimer_start_range_ns+0x1ca/0x410
[  117.752293]  [<ffffffff811d9a75>] do_vfs_ioctl+0x2e5/0x4c0
[  117.752858]  [<ffffffff8126ef4e>] ? file_has_perm+0xae/0xc0
[  117.753386]  [<ffffffff811d9cf1>] SyS_ioctl+0xa1/0xc0
[  117.753863]  [<ffffffff81613da9>] system_call_fastpath+0x16/0x1b
[  117.754433] ---[ end trace 27ed10c3108023e6 ]---
[  117.754876] [TTM] Failed to expire sync object before buffer eviction
[  117.755724] qxl 0000:00:02.0: object_init failed for (253952, 0x00000001)
[  117.756367] [drm:qxl_gem_object_create] *ERROR* Failed to allocate GEM object (252308, 1, 4096, -12)
[  117.757237] [drm:qxl_alloc_ioctl] *ERROR* qxl_alloc_ioctl: failed to create gem ret=-12
[  118.470566] input: spice vdagent tablet as /devices/virtual/input/input7
[  119.273681] Bridge firewalling registered
[  119.457150] ------------[ cut here ]------------
[  119.457638] WARNING: at drivers/gpu/drm/qxl/qxl_ttm.c:414 qxl_sync_obj_wait+0x182/0x220 [qxl]()
[  119.458454] sync obj 301 still has outstanding releases 0 0 0 253952 1
[  119.459072] Modules linked in: bridge stp llc bnep bluetooth rfkill fuse nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd sunrpc fscache kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel lrw gf128mul glue_helper ablk_helper cryptd virtio_balloon serio_raw pcspkr uinput xfs libcrc32c sr_mod cdrom ata_generic sd_mod crc_t10dif crct10dif_common pata_acpi qxl drm_kms_helper virtio_console ttm virtio_scsi virtio_net ata_piix drm libata virtio_pci i2c_core virtio_ring virtio dm_mirror dm_region_hash dm_log dm_mod
[  119.464207] CPU: 0 PID: 3438 Comm: Xorg Tainted: G        W   --------------   3.10.0-229.el7.x86_64 #1
[  119.465077] Hardware name: Red Hat KVM, BIOS 0.5.1 01/01/2011
[  119.465614]  ffff8801b5cd38d0 0000000042cde247 ffff8801b5cd3888 ffffffff81603f36
[  119.466340]  ffff8801b5cd38c0 ffffffff8106e28b 0000000000000001 ffff8801b4d1bf40
[  119.467071]  0000000000000001 ffff8801b4d1bf58 0000000000000000 ffff8801b5cd3928
[  119.467793] Call Trace:
[  119.468037]  [<ffffffff81603f36>] dump_stack+0x19/0x1b
[  119.468601]  [<ffffffff8106e28b>] warn_slowpath_common+0x6b/0xb0
[  119.469166]  [<ffffffff8106e32c>] warn_slowpath_fmt+0x5c/0x80
[  119.469712]  [<ffffffff816085c3>] ? schedule_hrtimeout_range+0x13/0x20
[  119.470328]  [<ffffffffa014e122>] qxl_sync_obj_wait+0x182/0x220 [qxl]
[  119.470933]  [<ffffffffa0058841>] ttm_bo_wait+0xb1/0x1b0 [ttm]
[  119.471486]  [<ffffffffa005a183>] ttm_bo_evict+0x63/0x360 [ttm]
[  119.472118]  [<ffffffffa005a5ba>] ttm_mem_evict_first+0x13a/0x1b0 [ttm]
[  119.472734]  [<ffffffffa005a898>] ttm_bo_mem_space+0x268/0x310 [ttm]
[  119.473333]  [<ffffffffa005ada2>] ttm_bo_validate+0x1e2/0x260 [ttm]
[  119.473921]  [<ffffffffa005b08b>] ttm_bo_init+0x26b/0x420 [ttm]
[  119.474485]  [<ffffffffa01501df>] qxl_bo_create+0x13f/0x1a0 [qxl]
[  119.475062]  [<ffffffffa014ff60>] ? qxl_fbdev_qobj_is_fb+0x30/0x30 [qxl]
[  119.475684]  [<ffffffffa0150959>] qxl_gem_object_create+0x69/0x110 [qxl]
[  119.476310]  [<ffffffffa0150a5c>] qxl_gem_object_create_with_handle+0x5c/0x120 [qxl]
[  119.477035]  [<ffffffffa0153d66>] qxl_alloc_ioctl+0x46/0xc0 [qxl]
[  119.477610]  [<ffffffffa00cab6c>] drm_ioctl+0x1ec/0x660 [drm]
[  119.478152]  [<ffffffff8109ac55>] ? enqueue_hrtimer+0x25/0x80
[  119.478688]  [<ffffffff8109b5aa>] ? __hrtimer_start_range_ns+0x1ca/0x410
[  119.479314]  [<ffffffff811d9a75>] do_vfs_ioctl+0x2e5/0x4c0
[  119.479824]  [<ffffffff8126ef4e>] ? file_has_perm+0xae/0xc0
[  119.480349]  [<ffffffff811d9cf1>] SyS_ioctl+0xa1/0xc0
[  119.480821]  [<ffffffff8160ec99>] ? do_async_page_fault+0x29/0xe0
[  119.481392]  [<ffffffff81613da9>] system_call_fastpath+0x16/0x1b
[  119.482024] ---[ end trace 27ed10c3108023e7 ]---
[  119.482510] [TTM] Failed to expire sync object before buffer eviction
[  119.483133] qxl 0000:00:02.0: object_init failed for (253952, 0x00000001)
[  119.484041] [drm:qxl_gem_object_create] *ERROR* Failed to allocate GEM object (252308, 1, 4096, -12)
[  119.484948] [drm:qxl_alloc_ioctl] *ERROR* qxl_alloc_ioctl: failed to create gem ret=-12
[  120.088211] input: spice vdagent tablet as /devices/virtual/input/input8
[  120.875268] SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
[  121.041052] ------------[ cut here ]------------
[  121.041741] WARNING: at drivers/gpu/drm/qxl/qxl_ttm.c:414 qxl_sync_obj_wait+0x182/0x220 [qxl]()
[  121.042788] sync obj 301 still has outstanding releases 0 0 0 4096 1
[  121.043470] Modules linked in: binfmt_misc bridge stp llc bnep bluetooth rfkill fuse nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd sunrpc fscache kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel lrw gf128mul glue_helper ablk_helper cryptd virtio_balloon serio_raw pcspkr uinput xfs libcrc32c sr_mod cdrom ata_generic sd_mod crc_t10dif crct10dif_common pata_acpi qxl drm_kms_helper virtio_console ttm virtio_scsi virtio_net ata_piix drm libata virtio_pci i2c_core virtio_ring virtio dm_mirror dm_region_hash dm_log dm_mod
[  121.049302] CPU: 2 PID: 3625 Comm: Xorg Tainted: G        W   --------------   3.10.0-229.el7.x86_64 #1
[  121.050170] Hardware name: Red Hat KVM, BIOS 0.5.1 01/01/2011
[  121.050797]  ffff8800b3afb8d0 0000000025f269af ffff8800b3afb888 ffffffff81603f36
[  121.051705]  ffff8800b3afb8c0 ffffffff8106e28b 0000000000000001 ffff8801b4eeeb40
[  121.052676]  0000000000000001 ffff8801b4eeeb58 0000000000000000 ffff8800b3afb928
[  121.053586] Call Trace:
[  121.053822]  [<ffffffff81603f36>] dump_stack+0x19/0x1b
[  121.054310]  [<ffffffff8106e28b>] warn_slowpath_common+0x6b/0xb0
[  121.054962]  [<ffffffff8106e32c>] warn_slowpath_fmt+0x5c/0x80
[  121.055510]  [<ffffffff816085c3>] ? schedule_hrtimeout_range+0x13/0x20
[  121.056190]  [<ffffffffa014e122>] qxl_sync_obj_wait+0x182/0x220 [qxl]
[  121.056881]  [<ffffffffa0058841>] ttm_bo_wait+0xb1/0x1b0 [ttm]
[  121.057503]  [<ffffffffa005a183>] ttm_bo_evict+0x63/0x360 [ttm]
[  121.058106]  [<ffffffffa005a5ba>] ttm_mem_evict_first+0x13a/0x1b0 [ttm]
[  121.058790]  [<ffffffffa005a898>] ttm_bo_mem_space+0x268/0x310 [ttm]
[  121.059455]  [<ffffffffa005ada2>] ttm_bo_validate+0x1e2/0x260 [ttm]
[  121.060107]  [<ffffffffa005b08b>] ttm_bo_init+0x26b/0x420 [ttm]
[  121.060663]  [<ffffffffa01501df>] qxl_bo_create+0x13f/0x1a0 [qxl]
[  121.061238]  [<ffffffffa014ff60>] ? qxl_fbdev_qobj_is_fb+0x30/0x30 [qxl]
[  121.062000]  [<ffffffffa0150959>] qxl_gem_object_create+0x69/0x110 [qxl]
[  121.062636]  [<ffffffffa0150a5c>] qxl_gem_object_create_with_handle+0x5c/0x120 [qxl]
[  121.063375]  [<ffffffffa0153d66>] qxl_alloc_ioctl+0x46/0xc0 [qxl]
[  121.063953]  [<ffffffffa00cab6c>] drm_ioctl+0x1ec/0x660 [drm]
[  121.064513]  [<ffffffff8109ac55>] ? enqueue_hrtimer+0x25/0x80
[  121.065073]  [<ffffffff8109b5aa>] ? __hrtimer_start_range_ns+0x1ca/0x410
[  121.065698]  [<ffffffff811d9a75>] do_vfs_ioctl+0x2e5/0x4c0
[  121.066225]  [<ffffffff8126ef4e>] ? file_has_perm+0xae/0xc0
[  121.066748]  [<ffffffff811d9cf1>] SyS_ioctl+0xa1/0xc0
[  121.067291]  [<ffffffff8160ec99>] ? do_async_page_fault+0x29/0xe0
[  121.067882]  [<ffffffff81613da9>] system_call_fastpath+0x16/0x1b
[  121.068456] ---[ end trace 27ed10c3108023e8 ]---
[  121.068895] [TTM] Failed to expire sync object before buffer eviction
[  121.069514] qxl 0000:00:02.0: object_init failed for (253952, 0x00000001)
[  121.070295] [drm:qxl_gem_object_create] *ERROR* Failed to allocate GEM object (252308, 1, 4096, -12)
[  121.071246] [drm:qxl_alloc_ioctl] *ERROR* qxl_alloc_ioctl: failed to create gem ret=-12
[  121.661009] xor: automatically using best checksumming function:
[  121.671008]    avx       : 35824.000 MB/sec
[  121.690010] raid6: sse2x1   10964 MB/s
[  121.707008] raid6: sse2x2   13898 MB/s
[  121.724018] raid6: sse2x4   15554 MB/s
[  121.741007] raid6: avx2x1   21230 MB/s
[  121.749278] input: spice vdagent tablet as /devices/virtual/input/input9
[  121.758006] raid6: avx2x2   24714 MB/s
[  121.775007] raid6: avx2x4   29667 MB/s
[  121.775566] raid6: using algorithm avx2x4 (29667 MB/s)
[  121.776259] raid6: using avx2x2 recovery algorithm
[  121.793134] Btrfs loaded
[  122.212476] nr_pdflush_threads exported in /proc is scheduled for removal
[  122.738046] ------------[ cut here ]------------
[  122.738675] WARNING: at drivers/gpu/drm/qxl/qxl_ttm.c:414 qxl_sync_obj_wait+0x182/0x220 [qxl]()
[  122.739859] sync obj 301 still has outstanding releases 0 0 0 253952 1
[  122.740739] Modules linked in: btrfs zlib_deflate raid6_pq xor vfat msdos fat ext4 mbcache jbd2 binfmt_misc bridge stp llc bnep bluetooth rfkill fuse nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd sunrpc fscache kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel lrw gf128mul glue_helper ablk_helper cryptd virtio_balloon serio_raw pcspkr uinput xfs libcrc32c sr_mod cdrom ata_generic sd_mod crc_t10dif crct10dif_common pata_acpi qxl drm_kms_helper virtio_console ttm virtio_scsi virtio_net ata_piix drm libata virtio_pci i2c_core virtio_ring virtio dm_mirror dm_region_hash dm_log dm_mod
[  122.748484] CPU: 1 PID: 3933 Comm: Xorg Tainted: G        W   --------------   3.10.0-229.el7.x86_64 #1
[  122.749442] Hardware name: Red Hat KVM, BIOS 0.5.1 01/01/2011
[  122.749994]  ffff8800b7b538d0 00000000715e2b98 ffff8800b7b53888 ffffffff81603f36
[  122.750787]  ffff8800b7b538c0 ffffffff8106e28b 0000000000000001 ffff8801b4d18b40
[  122.751515]  0000000000000001 ffff8801b4d18b58 0000000000000000 ffff8800b7b53928
[  122.752252] Call Trace:
[  122.752496]  [<ffffffff81603f36>] dump_stack+0x19/0x1b
[  122.753036]  [<ffffffff8106e28b>] warn_slowpath_common+0x6b/0xb0
[  122.753644]  [<ffffffff8106e32c>] warn_slowpath_fmt+0x5c/0x80
[  122.754192]  [<ffffffff816085c3>] ? schedule_hrtimeout_range+0x13/0x20
[  122.754808]  [<ffffffffa014e122>] qxl_sync_obj_wait+0x182/0x220 [qxl]
[  122.755433]  [<ffffffffa0058841>] ttm_bo_wait+0xb1/0x1b0 [ttm]
[  122.756024]  [<ffffffffa005a183>] ttm_bo_evict+0x63/0x360 [ttm]
[  122.756597]  [<ffffffffa005a5ba>] ttm_mem_evict_first+0x13a/0x1b0 [ttm]
[  122.757216]  [<ffffffffa005a898>] ttm_bo_mem_space+0x268/0x310 [ttm]
[  122.757812]  [<ffffffffa005ada2>] ttm_bo_validate+0x1e2/0x260 [ttm]
[  122.758501]  [<ffffffffa005b08b>] ttm_bo_init+0x26b/0x420 [ttm]
[  122.759066]  [<ffffffffa01501df>] qxl_bo_create+0x13f/0x1a0 [qxl]
[  122.759640]  [<ffffffffa014ff60>] ? qxl_fbdev_qobj_is_fb+0x30/0x30 [qxl]
[  122.760270]  [<ffffffffa0150959>] qxl_gem_object_create+0x69/0x110 [qxl]
[  122.760920]  [<ffffffffa0150a5c>] qxl_gem_object_create_with_handle+0x5c/0x120 [qxl]
[  122.761652]  [<ffffffffa0153d66>] qxl_alloc_ioctl+0x46/0xc0 [qxl]
[  122.762254]  [<ffffffffa00cab6c>] drm_ioctl+0x1ec/0x660 [drm]
[  122.762871]  [<ffffffff8109ac55>] ? enqueue_hrtimer+0x25/0x80
[  122.763439]  [<ffffffff8109b5aa>] ? __hrtimer_start_range_ns+0x1ca/0x410
[  122.764082]  [<ffffffff811d9a75>] do_vfs_ioctl+0x2e5/0x4c0
[  122.764623]  [<ffffffff8126ef4e>] ? file_has_perm+0xae/0xc0
[  122.765194]  [<ffffffff811d9cf1>] SyS_ioctl+0xa1/0xc0
[  122.765744]  [<ffffffff8160ec99>] ? do_async_page_fault+0x29/0xe0
[  122.766379]  [<ffffffff81613da9>] system_call_fastpath+0x16/0x1b
[  122.767036] ---[ end trace 27ed10c3108023e9 ]---
[  122.767537] [TTM] Failed to expire sync object before buffer eviction
[  122.768217] qxl 0000:00:02.0: object_init failed for (253952, 0x00000001)
[  122.769041] [drm:qxl_gem_object_create] *ERROR* Failed to allocate GEM object (252308, 1, 4096, -12)
[  122.769988] [drm:qxl_alloc_ioctl] *ERROR* qxl_alloc_ioctl: failed to create gem ret=-12
[  123.457799] input: spice vdagent tablet as /devices/virtual/input/input10
[  124.393434] ------------[ cut here ]------------
[  124.393974] WARNING: at drivers/gpu/drm/qxl/qxl_ttm.c:414 qxl_sync_obj_wait+0x182/0x220 [qxl]()
[  124.394843] sync obj 301 still has outstanding releases 0 0 0 4096 1
[  124.395583] Modules linked in: btrfs zlib_deflate raid6_pq xor vfat msdos fat ext4 mbcache jbd2 binfmt_misc bridge stp llc bnep bluetooth rfkill fuse nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd sunrpc fscache kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel lrw gf128mul glue_helper ablk_helper cryptd virtio_balloon serio_raw pcspkr uinput xfs libcrc32c sr_mod cdrom ata_generic sd_mod crc_t10dif crct10dif_common pata_acpi qxl drm_kms_helper virtio_console ttm virtio_scsi virtio_net ata_piix drm libata virtio_pci i2c_core virtio_ring virtio dm_mirror dm_region_hash dm_log dm_mod
[  124.402116] CPU: 4 PID: 4604 Comm: Xorg Tainted: G        W   --------------   3.10.0-229.el7.x86_64 #1
[  124.402978] Hardware name: Red Hat KVM, BIOS 0.5.1 01/01/2011
[  124.403519]  ffff8800acaff8d0 00000000dc4e05ee ffff8800acaff888 ffffffff81603f36
[  124.404251]  ffff8800acaff8c0 ffffffff8106e28b 0000000000000001 ffff8801b4eec740
[  124.404965]  0000000000000001 ffff8801b4eec758 0000000000000000 ffff8800acaff928
[  124.405699] Call Trace:
[  124.405936]  [<ffffffff81603f36>] dump_stack+0x19/0x1b
[  124.406424]  [<ffffffff8106e28b>] warn_slowpath_common+0x6b/0xb0
[  124.406995]  [<ffffffff8106e32c>] warn_slowpath_fmt+0x5c/0x80
[  124.407541]  [<ffffffff816085c3>] ? schedule_hrtimeout_range+0x13/0x20
[  124.408160]  [<ffffffffa014e122>] qxl_sync_obj_wait+0x182/0x220 [qxl]
[  124.408763]  [<ffffffffa0058841>] ttm_bo_wait+0xb1/0x1b0 [ttm]
[  124.409317]  [<ffffffffa005a183>] ttm_bo_evict+0x63/0x360 [ttm]
[  124.409886]  [<ffffffffa005a5ba>] ttm_mem_evict_first+0x13a/0x1b0 [ttm]
[  124.410528]  [<ffffffffa005a898>] ttm_bo_mem_space+0x268/0x310 [ttm]
[  124.411154]  [<ffffffffa005ada2>] ttm_bo_validate+0x1e2/0x260 [ttm]
[  124.411762]  [<ffffffffa005b08b>] ttm_bo_init+0x26b/0x420 [ttm]
[  124.412338]  [<ffffffffa01501df>] qxl_bo_create+0x13f/0x1a0 [qxl]
[  124.412923]  [<ffffffffa014ff60>] ? qxl_fbdev_qobj_is_fb+0x30/0x30 [qxl]
[  124.413564]  [<ffffffffa0150959>] qxl_gem_object_create+0x69/0x110 [qxl]
[  124.414242]  [<ffffffffa0150a5c>] qxl_gem_object_create_with_handle+0x5c/0x120 [qxl]
[  124.414994]  [<ffffffffa0153d66>] qxl_alloc_ioctl+0x46/0xc0 [qxl]
[  124.415592]  [<ffffffffa00cab6c>] drm_ioctl+0x1ec/0x660 [drm]
[  124.416168]  [<ffffffff8109ac55>] ? enqueue_hrtimer+0x25/0x80
[  124.416708]  [<ffffffff8109b5aa>] ? __hrtimer_start_range_ns+0x1ca/0x410
[  124.417339]  [<ffffffff811d9a75>] do_vfs_ioctl+0x2e5/0x4c0
[  124.417854]  [<ffffffff8126ef4e>] ? file_has_perm+0xae/0xc0
[  124.418381]  [<ffffffff811d9cf1>] SyS_ioctl+0xa1/0xc0
[  124.418926]  [<ffffffff8160ec99>] ? do_async_page_fault+0x29/0xe0
[  124.419498]  [<ffffffff81613da9>] system_call_fastpath+0x16/0x1b
[  124.420067] ---[ end trace 27ed10c3108023ea ]---
[  124.420499] [TTM] Failed to expire sync object before buffer eviction
[  124.421111] qxl 0000:00:02.0: object_init failed for (253952, 0x00000001)
[  124.421798] [drm:qxl_gem_object_create] *ERROR* Failed to allocate GEM object (252308, 1, 4096, -12)
[  124.422650] [drm:qxl_alloc_ioctl] *ERROR* qxl_alloc_ioctl: failed to create gem ret=-12
[  125.046722] input: spice vdagent tablet as /devices/virtual/input/input11
[  126.012830] ------------[ cut here ]------------
[  126.013354] WARNING: at drivers/gpu/drm/qxl/qxl_ttm.c:414 qxl_sync_obj_wait+0x182/0x220 [qxl]()
[  126.014261] sync obj 301 still has outstanding releases 0 0 0 253952 1
[  126.014906] Modules linked in: btrfs zlib_deflate raid6_pq xor vfat msdos fat ext4 mbcache jbd2 binfmt_misc bridge stp llc bnep bluetooth rfkill fuse nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd sunrpc fscache kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel lrw gf128mul glue_helper ablk_helper cryptd virtio_balloon serio_raw pcspkr uinput xfs libcrc32c sr_mod cdrom ata_generic sd_mod crc_t10dif crct10dif_common pata_acpi qxl drm_kms_helper virtio_console ttm virtio_scsi virtio_net ata_piix drm libata virtio_pci i2c_core virtio_ring virtio dm_mirror dm_region_hash dm_log dm_mod
[  126.020821] CPU: 3 PID: 4762 Comm: Xorg Tainted: G        W   --------------   3.10.0-229.el7.x86_64 #1
[  126.021709] Hardware name: Red Hat KVM, BIOS 0.5.1 01/01/2011
[  126.022409]  ffff88019b67b8d0 00000000c9f3410a ffff88019b67b888 ffffffff81603f36
[  126.023145]  ffff88019b67b8c0 ffffffff8106e28b 0000000000000001 ffff8801b4eef740
[  126.023888]  0000000000000001 ffff8801b4eef758 0000000000000000 ffff88019b67b928
[  126.024690] Call Trace:
[  126.024926]  [<ffffffff81603f36>] dump_stack+0x19/0x1b
[  126.025421]  [<ffffffff8106e28b>] warn_slowpath_common+0x6b/0xb0
[  126.026077]  [<ffffffff8106e32c>] warn_slowpath_fmt+0x5c/0x80
[  126.026686]  [<ffffffff816085c3>] ? schedule_hrtimeout_range+0x13/0x20
[  126.027347]  [<ffffffffa014e122>] qxl_sync_obj_wait+0x182/0x220 [qxl]
[  126.028046]  [<ffffffffa0058841>] ttm_bo_wait+0xb1/0x1b0 [ttm]
[  126.028649]  [<ffffffffa005a183>] ttm_bo_evict+0x63/0x360 [ttm]
[  126.029230]  [<ffffffffa005a5ba>] ttm_mem_evict_first+0x13a/0x1b0 [ttm]
[  126.029921]  [<ffffffffa005a898>] ttm_bo_mem_space+0x268/0x310 [ttm]
[  126.030562]  [<ffffffffa005ada2>] ttm_bo_validate+0x1e2/0x260 [ttm]
[  126.031213]  [<ffffffffa005b08b>] ttm_bo_init+0x26b/0x420 [ttm]
[  126.031801]  [<ffffffffa01501df>] qxl_bo_create+0x13f/0x1a0 [qxl]
[  126.032378]  [<ffffffffa014ff60>] ? qxl_fbdev_qobj_is_fb+0x30/0x30 [qxl]
[  126.033078]  [<ffffffffa0150959>] qxl_gem_object_create+0x69/0x110 [qxl]
[  126.033733]  [<ffffffffa0150a5c>] qxl_gem_object_create_with_handle+0x5c/0x120 [qxl]
[  126.034486]  [<ffffffffa0153d66>] qxl_alloc_ioctl+0x46/0xc0 [qxl]
[  126.035123]  [<ffffffffa00cab6c>] drm_ioctl+0x1ec/0x660 [drm]
[  126.035725]  [<ffffffff8109ac55>] ? enqueue_hrtimer+0x25/0x80
[  126.036323]  [<ffffffff8109b5aa>] ? __hrtimer_start_range_ns+0x1ca/0x410
[  126.036997]  [<ffffffff811d9a75>] do_vfs_ioctl+0x2e5/0x4c0
[  126.037518]  [<ffffffff8126ef4e>] ? file_has_perm+0xae/0xc0
[  126.038100]  [<ffffffff811d9cf1>] SyS_ioctl+0xa1/0xc0
[  126.038602]  [<ffffffff8160ec99>] ? do_async_page_fault+0x29/0xe0
[  126.039192]  [<ffffffff81613da9>] system_call_fastpath+0x16/0x1b
[  126.039795] ---[ end trace 27ed10c3108023eb ]---
[  126.040234] [TTM] Failed to expire sync object before buffer eviction
[  126.040889] qxl 0000:00:02.0: object_init failed for (253952, 0x00000001)
[  126.041529] [drm:qxl_gem_object_create] *ERROR* Failed to allocate GEM object (252308, 1, 4096, -12)
[  126.042677] [drm:qxl_alloc_ioctl] *ERROR* qxl_alloc_ioctl: failed to create gem ret=-12


Client is:
virt-viewer-0.6.0-12.el7.x86_64

Guest is:
spice-protocol-0.12.6-2.el7.noarch
spice-server-0.12.4-9.el7_1.1.x86_64
spice-glib-0.22-2.el7.x86_64
spice-gtk3-0.22-2.el7.x86_64
spice-vdagent-0.14.0-9.el7.x86_64
xorg-x11-drv-qxl-0.1.1-12.el7.x86_64
Comment 6 Christophe Fergeau 2015-08-26 10:36:19 EDT
(In reply to Andrei Stepanov from comment #5)
> Sorry, I find a new method to reproduce the bug.
> 
> 1. Boot machine
> 2. Wait for GMD login invitation
> 3. Resize virt viwer window to bigger size
> 4. Login in gdm
> 5. Log out

What happens after 5. ? GDM never restarts ?
> Guest is:
> spice-protocol-0.12.6-2.el7.noarch
> spice-server-0.12.4-9.el7_1.1.x86_64
> spice-glib-0.22-2.el7.x86_64
> spice-gtk3-0.22-2.el7.x86_64
> spice-vdagent-0.14.0-9.el7.x86_64
> xorg-x11-drv-qxl-0.1.1-12.el7.x86_64

Can you try xorg-x11-drv-qxl-0.1.1-16.el7 ?
Comment 7 Andrei Stepanov 2015-08-27 06:01:21 EDT
I cannot reproduce with xorg-x11-drv-qxl-0.1.1-16.el7.x86_64

Note You need to log in before you can comment on or make changes to this bug.